package LIMS::ControllerClass;

# inherits LIMS::Base and provides Moose and LIMS::Local::Debug::p to callers

use strict;
use warnings;

use Import::Into;

sub import {
  my $target = caller;
  Moose->import::into($target); # load *before* 'extends':
  $target->can('extends')->('LIMS::Base');
  # other imports:
  LIMS::Local::Debug->import::into($target);
}

1;